Device tags

Set device tags

POST
/workspaces/{workspaceId}/devices/{deviceId}/set-tags

Authorization

API key Devices: write
AuthorizationBearer <token>

API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.

In: header

Scope: Devices: write

Path Parameters

workspaceId*string
Formatuuid
deviceId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

tags*

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/workspaces/00000000-0000-0000-0000-000000000001/devices/thermostat-0042/set-tags" \  -H "Content-Type: application/json" \  -d '{    "tags": {      "environment": "production",      "region": "eu-west"    }  }'

Number of devices whose tags were replaced.

{  "devicesUpdated": 1}